Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 505107 - Missing translated strings
Summary: Missing translated strings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: i18n
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Shannon Hughes
QA Contact: Tomas Lestach
URL:
Whiteboard: Fixed in the 5.4.0 Release - GA'd 201...
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2009-06-10 16:49 UTC by John Matthews
Modified: 2010-10-28 15:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 15:02:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Missing Strings from ISO 6/5/09 (deleted)
2009-06-10 16:49 UTC, John Matthews
no flags Details

Description John Matthews 2009-06-10 16:49:11 UTC
Created attachment 347256 [details]
Missing Strings from ISO 6/5/09

As per bug 472545, we have missed the translation cut off, so newly added strings are not being translated for Sat 5.3.0.

Attached is the list as of ISO 6/5/09 of the missing strings.


At a brief glance these are the predominate strings which show up as missing in all languages other than English.

 login.jsp.satbody4
 packagesearch.jsp.specificchannel
 packagesearch.jsp.specificarch
 kickstart.jsp.virt-type.none
 package.jsp.menu.patches
 header.jsp.errata.sync
 channel.jsp.errata.sync.message
 channel.jsp.errata.sync.note
 channel.jsp.errata.sync.listempty
 header.jsp.errata.sync.packagepush
 channel.jsp.errata.sync.packages.message
 channel.jsp.errata.sync.complete

Comment 1 John Matthews 2009-06-10 21:20:25 UTC
To re-create missingstringsQA.txt report from an ISO follow these steps
Note: script relies on a xml parser in python 2.4+, this won't run on rhel4.

1) copy {findmissingstringsQA.py, missingstringsQA.sh} to the target machine with the install satellite.

2) run "missingstringsQA.sh"
It will grab rhn.jar, unpack it and look at the StringResources*.

4) A report of the missing strings is displayed on the screen and written to "missingstringsQA.txt".

Comment 2 Brandon Perkins 2009-06-11 14:54:12 UTC
We'll deal with this in the next release and need to make it a part of our normal regression procedure.

Comment 3 Shannon Hughes 2010-09-07 18:06:16 UTC
pushed latest strings, 

git commit 2df2abff59a2aca5467f9cb8259428315dff4906

Comment 4 Tomas Lestach 2010-10-05 12:13:27 UTC
Testing Satellite-5.4.0-RHEL5-re20101001.1.

All NON en_US StringResources are missing following keys:

com/redhat/rhn/frontend/strings/jsp/
        repos.jsp.channel.norepos
        kickstart.edit.pkgs.jsp.nobase
        kickstart.edit.pkgs.jsp.ignoremissing
        help.jsp.chat
        help.jsp.chatinfo
        help.jsp.chatlink
        debuginfo.header
        debuginfo.external

com/redhat/rhn/frontend/strings/java/
        packages.search.index_files_missing_for_docs
        BL
        MF
        edit.channel.repo.repolabelinuse
        edit.channel.repo.repourlinuse

com/redhat/rhn/frontend/strings/database/
        America/Regina
        Pacific/Auckland

Comment 6 Clifford Perry 2010-10-05 17:01:42 UTC
moving back to ON_QA. Please verify all is good, excluding the known missing :/ :)

Comment 7 Tomas Lestach 2010-10-05 17:24:24 UTC
Except of the newly added strings, all the rest look good
-> VERIFIED on Satellite-5.4.0-RHEL5-re20101001.1

Comment 8 Clifford Perry 2010-10-28 15:02:36 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.